from collections import OrderedDict

grammar = OrderedDict(
    {
        "Telheader_Quelle": {
            "type": "str",
            "length": 10,
            "dp": False,
            "dict_key": False,
            "df_val": False,
            "df_func": "get_source_q",
        },
        "Telheader_Ziel": {
            "type": "str",
            "length": 10,
            "dp": False,
            "dict_key": False,
            "df_val": False,
            "df_func": "get_destination_q",
        },
        "Telheader_TelSeq": {
            "type": "int",
            "length": 6,
            "dp": False,
            "dict_key": False,
            "df_val": False,
            "df_func": "get_sequence_number",
        },
        "Telheader_AnlZeit": {
            "type": "datetime",
            "length": 14,
            "dp": False,
            "dict_key": False,
            "df_val": False,
            "df_func": "get_current_datetime",
        },
        "Satzart": {
            "type": "str",
            "length": 9,
            "dp": False,
            "dict_key": False,
            "df_val": "WATEKQ054",
            "df_func": False,
        },
        "IvTek_TeId": {
            "type": "str",
            "length": 18,
            "dp": False,
            "dict_key": False,
            "df_val": False,
            "df_func": "get_random_str_num",
        },
        "IvTek_Pos_FeldId": {
            "type": "str",
            "length": 14,
            "dp": False,
            "dict_key": False,
            "df_val": False,
            "df_func": "get_random_quai",
        },
        "IvTek_Pos_Offs_L_X": {
            "type": "int",
            "length": 8,
            "dp": False,
            "dict_key": False,
            "df_val": False,
            "df_func": False,
        },
        "IvTek_Pos_Offs_L_Y": {
            "type": "int",
            "length": 8,
            "dp": False,
            "dict_key": False,
            "df_val": False,
            "df_func": False,
        },
        "IvTek_Pos_Offs_L_Z": {
            "type": "int",
            "length": 8,
            "dp": False,
            "dict_key": False,
            "df_val": False,
            "df_func": False,
        },
        "IvTek_Stamm_TeId": {
            "type": "str",
            "length": 18,
            "dp": False,
            "dict_key": False,
            "df_val": False,
            "df_func": False,
        },
        "AnzSubTe": {
            "type": "int",
            "length": 4,
            "dp": False,
            "dict_key": False,
            "df_val": False,
            "df_func": False,
        },
        "IvTourp_TOUR_TourId_TourNr": {
            "type": "str",
            "length": 20,
            "dp": False,
            "dict_key": "RxAusk_RahmenTourId_TourNr",
            "df_val": False,
            "df_func": False,
        },
        "IvTourp_TOUR_TourId_HostTourKz": {
            "type": "str",
            "length": 5,
            "dp": False,
            "dict_key": "RxAusk_AusId_HostAusKz",
            "df_val": False,
            "df_func": False,
        },
        "IvTts_THM_ThmId": {
            "type": "str",
            "length": 10,
            "dp": False,
            "dict_key": False,
            "df_val": "RO",
            "df_func": False,
        },
        "IvTts_MaxLadeHoehe": {
            "type": "int",
            "length": 6,
            "dp": False,
            "dict_key": False,
            "df_val": False,
            "df_func": "get_random_int_num",
        },
        "IvTour_VAST_Versandart": {
            "type": "str",
            "length": 2,
            "dp": False,
            "dict_key": False,
            "df_val": "ST",
            "df_func": False,
        },
        "IvTourp_TOUR_TourId_IntLfdNr": {
            "type": "int",
            "length": 4,
            "dp": False,
            "dict_key": False,
            "df_val": False,
            "df_func": "get_random_int_num",
        },
        "IvTek_GesGew": {
            "type": "float",
            "length": 12,
            "dp": 3,
            "dict_key": False,
            "df_val": False,
            "df_func": "get_random_int_num",
        },
        "IvTourp_LiefSNr": {
            "type": "str",
            "length": 20,
            "dp": False,
            "dict_key": False,
            "df_val": False,
            "df_func": False,
        },
    }
)
